PETSc version 3.15.5
Fix/Edit manual page

# SNESFASSetNumberSmoothDown

Sets the number of pre-smoothing steps to use on all levels.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASSetNumberSmoothDown(SNES snes, PetscInt n)

Logically Collective on SNES

### Input Parameters

| snes | - the multigrid context
| n | - the number of smoothing steps

### Options Database Key

| -snes_fas_smoothdown <n> | - Sets number of pre-smoothing steps

### See Also

SNESFASSetNumberSmoothUp()

### Level

advanced

### Location

src/snes/impls/fas/fasfunc.c
Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages